org.apache.tinkerpop.gremlin.process.traversal.step

## Interface TraversalParent

- All Superinterfaces:
    AutoCloseable
  All Known Subinterfaces:
    TraversalOptionParent<M,S,E>
  All Known Implementing Classes:
    AddEdgeStartStep, AddEdgeStep, AddPropertyStep, AddVertexStartStep, AddVertexStep, AggregateGlobalStep, AggregateLocalStep, AndStep, BranchStep, ChooseStep, CoalesceStep, ConnectedComponentVertexProgramStep, ConnectiveStep, DedupGlobalStep, ElementMapStep, EmptyStep, GroupCountSideEffectStep, GroupCountStep, GroupSideEffectStep, GroupStep, IndexStep, LocalStep, MatchStep, MathStep, NotStep, OptionalStep, OrderGlobalStep, OrderLocalStep, OrStep, PageRankVertexProgramStep, PathFilterStep, PathStep, PeerPressureVertexProgramStep, ProjectStep, PropertyMapStep, RepeatStep, SackValueStep, SampleGlobalStep, SelectOneStep, SelectStep, ShortestPathVertexProgramStep, TraversalFilterStep, TraversalFlatMapStep, TraversalMapStep, TraversalSelectStep, TraversalSideEffectStep, TraversalVertexProgramStep, TreeSideEffectStep, TreeStep, UnionStep, WherePredicateStep, WhereTraversalStep

      public interface TraversalParent
      extends AutoCloseable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `addGlobalChild(Traversal.Admin<?,?> globalChildTraversal)`
    `default void` | `addLocalChild(Traversal.Admin<?,?> localChildTraversal)`
    `default Step<?,?>` | `asStep()`
    `default void` | `close()`
    `default <S,E> List<Traversal.Admin<S,E>>` | `getGlobalChildren()`
    `default <S,E> List<Traversal.Admin<S,E>>` | `getLocalChildren()`
    `default Set<TraverserRequirement>` | `getSelfAndChildRequirements(TraverserRequirement... selfRequirements)`
    `default <S,E> Traversal.Admin<S,E>` | `integrateChild(Traversal.Admin<?,?> childTraversal)`
    `default void` | `removeGlobalChild(Traversal.Admin<?,?> globalChildTraversal)`
    `default void` | `removeLocalChild(Traversal.Admin<?,?> localChildTraversal)`
    `default void` | `replaceLocalChild(Traversal.Admin<?,?> oldTraversal, Traversal.Admin<?,?> newTraversal)`

- - ### Method Detail

    - #### getGlobalChildren

          default <S,E> List<Traversal.Admin<S,E>> getGlobalChildren()

    - #### getLocalChildren

          default <S,E> List<Traversal.Admin<S,E>> getLocalChildren()

    - #### addLocalChild

          default void addLocalChild(Traversal.Admin<?,?> localChildTraversal)

    - #### addGlobalChild

          default void addGlobalChild(Traversal.Admin<?,?> globalChildTraversal)

    - #### removeLocalChild

          default void removeLocalChild(Traversal.Admin<?,?> localChildTraversal)

    - #### removeGlobalChild

          default void removeGlobalChild(Traversal.Admin<?,?> globalChildTraversal)

    - #### replaceLocalChild

          default void replaceLocalChild(Traversal.Admin<?,?> oldTraversal,
                                         Traversal.Admin<?,?> newTraversal)

    - #### getSelfAndChildRequirements

          default Set<TraverserRequirement> getSelfAndChildRequirements(TraverserRequirement... selfRequirements)

    - #### asStep

          default Step<?,?> asStep()

    - #### integrateChild

          default <S,E> Traversal.Admin<S,E> integrateChild(Traversal.Admin<?,?> childTraversal)

    - #### close

          default void close()
                      throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.